| Qore CdsRestDataProvider Module Reference 1.0.0

Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
CdsRestDataProvider::CdsRestDataProvider Class Reference

The CdsRest data provider class. More...

Inherits AbstractDataProvider.

## Public Member Functions
| constructor (CdsRestClient::CdsRestClient rest)
| Creates the object from the arguments.
| constructor (*hash< auto > options)
| Creates the object from constructor options.
string | getName ()
| Returns the data provider name.

## Public Attributes
const | ConstructorOptions = ...
| Constructor options.
const | EnvOptions = ...
| Environment options.
const | HttpMethods = ...
| Hash of HTTP Methods.
const | ProviderInfo = ...
| Provider info.
CdsRestClient::CdsRestClient | rest
| The REST client object for API calls.

## Protected Member Functions
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown. More...
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any. More...
*hash< auto > | getMetadata ()
| Returns metadata.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Qore::Thread::Mutex | lck ()
| Metadata mutex.

## Static Protected Member Functions
static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the CdsRestClient.

## Protected Attributes
*hash< auto > | meta
| Metadata keyed by entity type.

## Detailed Description

The CdsRest data provider class.

## Member Function Documentation

## ◆ getChildProviderImpl()

*DataProvider::AbstractDataProvider CdsRestDataProvider::CdsRestDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list<string> CdsRestDataProvider::CdsRestDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any